Closed Bug 1165400 Opened 7 years ago Closed 6 years ago

US Airways sites are RC4-only

Categories

(Web Compatibility :: Desktop, defect)

defect
Not set
normal

Tracking

(firefox41 affected)

RESOLVED FIXED
Tracking Status
firefox41 --- affected

People

(Reporter: bzbarsky, Unassigned)

References

()

Details

(Whiteboard: [contactready])

[Tracking Requested - why for this release]: Wouldn't want to release this if it's not channel-specific.

I get:

  An error occurred during a connection to reservations.usairways.com. Cannot
  communicate securely with peer: no common encryption algorithm(s). (Error code:
  ssl_error_no_cypher_overlap) 

This is happening for me on Aurora 39 but not Beta 38.  Not sure whether that's a channel difference or a 39 vs 38 difference, so requesting tracking 39 for now...
Looks like their sites are RC4-only. RC4 fallback is disabled by default on non-release/beta builds for the time being.
Component: Security → Desktop
Product: Core → Tech Evangelism
Summary: Unable to connect to US Airways reservation site → US Airways sites are RC4-only
Version: Trunk → unspecified
Looking around a bit to try and report this to US Airways (or American Airlines). The only obvious way to contact them is through a phone number.
I don't think I need to track this specific site given that this will only be true for nightly and aurora builds for now.
If we're going to contact them, here are some possible contact points:
Twitter: http://twitter.com/americanair
Facebook: https://www.facebook.com/AmericanAirlines
Contactlink: http://www.usairways.com/MEMBERSHIP/Login.aspx?returnURL=http://www.usairways.com/en-US/contact/default.html (as the URL gives away, only for registered users..)
Whiteboard: [contactready]
This should probably be folded into bug 1142703 (maybe even fold both into bug 1141604?).
Fixed.
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.